//
// Oal_system.h
//
// Processor Core Control Functions
//
// 2007.06.14 dodan2
//

#ifndef __OAL_SYSTEM_H
#define __OAL_SYSTEM_H

#if __cplusplus
extern "C" {
#endif

//------------------------------------------------------------------------------

void    System_EnableIRQ(void);
void    System_DisableIRQ(void);
void    System_EnableFIQ(void);
void    System_DisableFIQ(void);
void    System_EnableBP(void);
void    System_DisableBP(void);
void    System_EnableICache(void);
void    System_WaitForInterrupt(void);

//------------------------------------------------------------------------------

#if __cplusplus
}
#endif

#endif    // __OAL_SYSTEM_H